---
- name: Add user ubuntu
  ansible.builtin.user:
    name: "{{ user_name }}"
    groups: sudo
    shell: /bin/bash
    append: yes
    create_home: yes
    state: present
    
- name: Add group ubuntu
  ansible.builtin.group:
    name: "{{ user_group }}"
    state: present


- name: Setup passwordless sudo
  lineinfile:
    path: /etc/sudoers
    state: present
    regexp: '^%sudo'
    line: '%sudo ALL=(ALL) NOPASSWD: ALL'
    validate: '/usr/sbin/visudo -cf %s'
  become: yes

- name: copy authorized_keys 
  copy:
    src: files/authorized_keys 
    dest: "/home/{{ user_name }}/.ssh/"
    mode: '0740'
  become: yes 
- name: Set authorized key for remote user
  ansible.posix.authorized_key:
    user: "ubuntu"
    state: present
    key: "{{ lookup('file', '~/.ssh/id_rsa.pub') }}"

